Summary: A GNU tool for automatically configuring source code.
Name: autoconf213
Version: 2.13
Release: 1
License: GPL
Group: Development/Tools
Source: ftp://ftp.cs.unm.edu/mirrors/gnu/autoconf/autoconf-2.13.tar.gz
Patch0: autoconf-2.13-versioning.patch
URL: http://www.gnu.org/software/autoconf
Requires: m4
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q -n autoconf-%{version}
%patch -p1 -b .version

%build
AWK=awk ./configure --prefix=%{_prefix} --program-suffix=-%{version}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mv $RPM_BUILD_ROOT%{_infodir}/autoconf.info $RPM_BUILD_ROOT%{_infodir}/%{name}.info
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/*
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

cd $RPM_BUILD_ROOT
mkdir -p usr/bin || true 
mkdir -p usr/share || true 
for file in autoconf autoheader autoreconf autoscan autoupdate ifnames
do
   ln -sf ../..%{_prefix}/bin/$file-%{version} usr/bin/$file-%{version}
done
ln -sf ../..%{_prefix}/share/autoconf-2.13 usr/share/autoconf-2.13

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_prefix}/info/autoconf*
%{_prefix}/bin/*
/usr/bin/*
%{_prefix}/share/autoconf-2.13
/usr/share/autoconf-2.13

%changelog
* Wed Mar 03 2004 Philip K. Warren <pkw@us.ibm.com> 2.13-1
- Install as autoconf213 so it can be installed alongside current autoconf.
- Apply versioning patch to shared files get installed in
/usr/share/autoconf-2.13.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

